## java-imaging-utilities 0.14.3

=== SConstruct ===
# SCons build rules for JIU

import os

env = Environment()

# Note that setting the source version does not provide backwards compatibility,
# that would require -target, -bootclasspath and -extdir parameters.
java_source_version = '1.3'
env['JAVAVERSION'] = java_source_version
env['JAVACFLAGS'] = '-source ' + java_source_version

# Auto-detect java based on JAVA_HOME, if set
if os.environ.has_key('JAVA_HOME'):
    java_home = os.environ['JAVA_HOME']
    env['ENV']['PATH'] = os.path.join(java_home, 'bin')

# Surprisingly, the Eclipse compiler seems to produce significantly faster
# code than a standard jdk6 javac, so try to use it if possible.
if os.environ.has_key('ECLIPSE_HOME'):
    # try to use eclipse java compiler
    java_env = env.Clone(tools=['eclipse_javac'])
    java_env['JAVACFLAGS'] = '-1.3 -warn:-serial -warn:-unusedPrivate'
else:
    java_env = env

# Build classes
java_env.Java('classes', '.')

# Install resources
env.Install('classes', ['resources'])

# Build jar
# Note: the Jar builder autodetects the manifest as such, as long as it's
# explicitly listed as a source.
jiu_jar = env.Jar('jiu.jar', ['classes', 'META-INF/MANIFEST.MF'], JARCHDIR='classes')
#env.Default(jiu_jar)

# Javadoc
apidoc = env.Command('doc/api', 'net', 'javadoc @packages @docs-html-options')
# AlwaysBuild tells scons to ignore dependencies, not really to always build it
AlwaysBuild(apidoc)
env.Alias('javadoc', apidoc)

# Bundling
def versioned_mercurial_files():
    '''Generates a list of versioned files (in mercurial).'''
    import subprocess
    cmd = 'hg status -cman'.split()
    p = subprocess.Popen(cmd, stdout=subprocess.PIPE)
    return [line.strip() for line in p.stdout]

versioned_files = versioned_mercurial_files()

if versioned_files:
    VERSION = '0.14.3'
    BUNDLENAME = 'java-imaging-utilities-' + VERSION
    SUFFIXES = ['.zip', '.tar.gz', '.tar.bz2']
    
    pkg_env = Environment(tools=['default', 'bundle_tool'])
    pkg_env['BUNDLE_PREFIX'] = 'jiu-' + VERSION + '/'
    
    pkg_env.Bundle([BUNDLENAME + '-core' + suffix for suffix in SUFFIXES], versioned_files)
    pkg_env.Bundle([BUNDLENAME + suffix for suffix in SUFFIXES], versioned_files + ['jiu.jar', Dir('doc/api')])
else:
    print 'Failed to get a list of versioned (Mercurial) files, bundling skipped.'

## java-imaging-utilities 0.14.2+3

=== debian/changelog ===
java-imaging-utilities (0.14.2+3-4) unstable; urgency=low

  * Add build-depends on texlive-latex-extra (Closes: #669532).
  * Bump standards to 3.9.3 (no changes).
  * Update copyright file format.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Thu, 19 Apr 2012 22:59:31 +0100

java-imaging-utilities (0.14.2+3-3) unstable; urgency=low

  * Fix typo in description (Closes: #609248).
  * Extract upstream package version correctly for jar link (Closes: #612295).
  * Split doc-base entry as HTML and PDF data were not just different formats
    for the same information.
  * Add ${misc:Depends}.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper short forms for debian/rules.
  * Disable watch file as upstream website has disappeared.
  * Bump standards to 3.9.2 (no changes).
  * Set DM-Upload-Allowed: yes

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 31 May 2011 08:48:39 +0100

java-imaging-utilities (0.14.2+3-2) unstable; urgency=low

  * Bump standards to 3.8.3 (no changes).
  * Fix bashism in debian/rules (Closes: #535384).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 15 Sep 2009 15:35:24 +0100

java-imaging-utilities (0.14.2+3-1) unstable; urgency=low

  * new source package from updated repackaging script.
  * copyright: update years, add note about Resample.java.
  * repackaging: new version of repackager maintains consistent md5 for tarball
  * get-orig-source and watch file now linked and repackage source.
  * remove tetex packages as options for build-deps now that lenny is released
    (remove lintian override for this).
  * bump standards version to 3.8.1 (no changes required)
  * move build.xml into debian directory
  * make sure clean target cleans up correctly

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Mon, 20 Apr 2009 01:14:05 +0100

java-imaging-utilities (0.14.2+2-1) unstable; urgency=low

  * Remove PDF from source package.
  * Add (pdf)latex tools to build-depends.
  * Add lintian source override so that it doesn't complain about the optional
    build-dep on the obsolete tetex packages.
  * Rebuild PDF from latex source from debian/rules.
  * Don't include .tex version of manual as well as PDF version in binary
    package.
  * Remove unneeded "jiu" script from debian diff.
  * Move "jiuawt" into the debian directory.
  * Convert debian/copyright into machine-readable form.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Mon, 21 Jul 2008 15:26:04 +0100

java-imaging-utilities (0.14.2+1-3) unstable; urgency=low

  * Set JAVA_HOME in debian/rules only if it is not already set in the
    environment.
  * Remove unneeded targets from debian/rules

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 19 Jul 2008 00:37:33 +0100

java-imaging-utilities (0.14.2+1-2) unstable; urgency=low

  * Explicitly set JAVA_HOME in debian/rules to prevent FTBFS when there
    is an installed JRE that is not compatible with the JDK from the
    Build-Depends.
  * Fix years in debian/copyright.
  * Include statement from upstream's README in debian/copyright to the
    effect that it is released under the GPLv2.
  * Remove java-imaging-utilities binary package and move example script
    into libjiu-java-doc package.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 19 Jul 2008 00:03:35 +0100

java-imaging-utilities (0.14.2+1-1) unstable; urgency=low

  * Add Debian revision to the upstream tarball version
  * Strip out autogenerated documentation from the upstream tarball
  * Fix GPL link in copyright (explicitly GPL-2 not just GPL)
  * Change API doc location as per upcoming java policy
  * Automatically version the jar using the changelog version

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 01 Jul 2008 00:27:48 +0100

java-imaging-utilities (0.14.2-2) unstable; urgency=low

  * Bump standards version to 3.8.0 (no changes required)
  * Rename doc package to libjiu-java-doc

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Mon, 23 Jun 2008 23:11:19 +0100

java-imaging-utilities (0.14.2-1) unstable; urgency=low

  * Initial release (Closes: #431907)
  * New upstream release

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 7 Jul 2007 00:17:36 +0100

java-imaging-utilities (0.14.1-1) unstable; urgency=low

  * Initial packaging efforts.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 11 Apr 2007 18:14:04 +0100

=== debian/control ===
Source: java-imaging-utilities
Section: java
Priority: optional
Maintainer: Stuart Prescott <stuart+debian@nanonanonano.net>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: java-gcj-compat-dev,
                     ant,
                     texlive-base-bin,
                     texlive-latex-recommended,
                     texlive-latex-extra
Standards-Version: 3.9.3
DM-Upload-Allowed: yes

Package: libjiu-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libjiu-java-doc
Description: library to load, analyze, process and save pixel images
 JIU, the Java Imaging Utilities, is a library which offers functionality
 to load, analyze, process and save pixel images.
 .
 It can handle a variety of different image formats (PBM, PNG, GIF, TIFF,
 PSD etc) and perform a number of sophisticated transformations to the
 images including color adjustments, analysis and image filtering.

Package: libjiu-java-doc
Architecture: all
Section: doc
Depends: default-jdk-doc,
          libjiu-java,
          ${misc:Depends}
Description: API documentation for jiu java library for pixel images
 JIU, the Java Imaging Utilities, is a library which offers functionality
 to load, analyze, process and save pixel images.
 .
 This package contains the API documentation for the library.
 .
 See the package libjiu-java for further information.

=== debian/rules ===
#!/usr/bin/make -f

# Create versioned jar file; strip off the debian source revision and package revision
VERSION=$(shell dpkg-parsechangelog | sed -n 's/Version: \([0-9.]*\).*/\1/p')

# If the user has not explicitly set JAVA_HOME, export sensible value
# to make sure that the correct compiler is used by ant.
JAVA_HOME ?= /usr/lib/jvm/java-gcj
export JAVA_HOME

%:
	dh $@

override_dh_auto_build:
	ant -DVERSION=$(VERSION) -Dbasedir=. -f debian/build.xml jar doc
	cd doc/manual                            ; \
	pdflatex java-imaging-utilities-manual   ; \
	pdflatex java-imaging-utilities-manual

override_dh_auto_clean:
	find . -name \*.jar -exec rm -f {} \;
	find . -name \*.class -exec rm -f {} \;
	rm -f doc/manual/*.aux doc/manual/*.log doc/manual/*.out doc/manual/*.pdf doc/manual/*.toc
	rm -rf api

override_dh_installdocs:
	dh_installdocs --link-doc libjiu-java

override_dh_link:
	dh_link -p libjiu-java usr/share/java/net.sourceforge.jiu-$(VERSION).jar usr/share/java/net.sourceforge.jiu.jar

## java-imaging-utilities 0.14.3

=== debian/changelog ===
java-imaging-utilities (0.14.3-7) unstable; urgency=medium

  * Fix FTBFS with default Java 21 (Closes: #1053027).

 -- Stuart Prescott <stuart@debian.org>  Wed, 27 Sep 2023 23:29:00 +1000

java-imaging-utilities (0.14.3-6) unstable; urgency=medium

  * Update packaging with lintian-brush: minor updates for bookworm.

 -- Stuart Prescott <stuart@debian.org>  Sun, 29 Jan 2023 18:53:53 +1100

java-imaging-utilities (0.14.3-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Fix day-of-week for changelog entries 0.14.2-1.

  [ Stuart Prescott ]
  * Update Standards-Version to 4.5.1 (no changes required).
  * Update to dehelper-compat (= 13).
  * Mark autopkgtest as superficial.
  * Add Rules-Requires-Root: no.
  * Update watch file format to v4.

 -- Stuart Prescott <stuart@debian.org>  Mon, 21 Dec 2020 11:47:30 +1100

java-imaging-utilities (0.14.3-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Stuart Prescott ]
  * Use debhelper-compat (= 11).
  * Update Standards-Version to 4.3.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 26 Jan 2019 18:47:00 +1100

java-imaging-utilities (0.14.3-3) unstable; urgency=medium

  * Fix classes to build with OpenJDK rather than gcj (Closes: #894524).
  * Remove unneeded dpkg-parsechangelog calls from d/rules.
  * Update Standards-Version to 4.1.3 (no changes required).
  * Move to debhelper compat 11.
  * Add Vcs-* headers pointing to salsa.debian.org.

 -- Stuart Prescott <stuart@debian.org>  Fri, 06 Apr 2018 21:29:40 +1000

java-imaging-utilities (0.14.3-2) unstable; urgency=medium

  * Force latex to use SOURCE_DATE_EPOCH to make manual reproducible.

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Aug 2016 15:04:08 +1000

java-imaging-utilities (0.14.3-1) unstable; urgency=medium

  * New upstream version.
    - drop repackaging that is no longer required.
    - update copyright information.
    - add new homepage.
  * Update maintainer information.
  * Update Standards-Version to 3.9.8 (no changes required).
  * Set locale in build to make API documentation reproducible.
  * Switch to debhelper compat 9.
  * Use openjdk/default-jdk to build documentation but use gcj-compat/gcc to
    build source (weird but the only combination that currently works).
  * Stop having the documentation package depend on the library package.
  * Add simple DEP-8/autopkgtest test to package.

 -- Stuart Prescott <stuart@debian.org>  Sun, 07 Aug 2016 14:57:20 +1000

=== debian/control ===
Source: java-imaging-utilities
Section: java
Priority: optional
Maintainer: Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper-compat (= 13)
Build-Depends-Indep:
 ant,
 default-jdk,
 default-jdk-doc,
 texlive-base-bin,
 texlive-latex-extra,
 texlive-latex-recommended
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/jiu/
Vcs-Git: https://salsa.debian.org/debian/java-imaging-utilities.git
Vcs-Browser: https://salsa.debian.org/debian/java-imaging-utilities
Rules-Requires-Root: no

Package: libjiu-java
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 libjiu-java-doc
Multi-Arch: foreign
Description: library to load, analyze, process and save pixel images
 JIU, the Java Imaging Utilities, is a library which offers functionality
 to load, analyze, process and save pixel images.
 .
 It can handle a variety of different image formats (PBM, PNG, GIF, TIFF,
 PSD etc) and perform a number of sophisticated transformations to the
 images including color adjustments, analysis and image filtering.

Package: libjiu-java-doc
Architecture: all
Section: doc
Depends:
 default-jdk-doc,
 ${misc:Depends}
Description: API documentation for jiu java library for pixel images
 JIU, the Java Imaging Utilities, is a library which offers functionality
 to load, analyze, process and save pixel images.
 .
 This package contains the API documentation for the library.
 .
 See the package libjiu-java for further information.

=== debian/rules ===
#!/usr/bin/make -f

# Create versioned jar file; strip off the debian source revision and package revision
include /usr/share/dpkg/pkg-info.mk

VERSION=$(DEB_VERSION_UPSTREAM)

# Set the locale to make API documentation reproducible
LC_ALL = C.UTF-8
export LC_ALL

# Force pdflatex to use SOURCE_DATE_EPOCH for \today too
FORCE_SOURCE_DATE = 1
export FORCE_SOURCE_DATE

%:
	dh $@

override_dh_auto_build:
	ant -DVERSION=$(VERSION) -Dbasedir=. -f debian/build.xml jar doc
	cd doc/manual                            ; \
	pdflatex java-imaging-utilities-manual   ; \
	pdflatex java-imaging-utilities-manual

override_dh_auto_clean:
	find . -name \*.jar -delete
	find . -name \*.class -delete
	rm -f doc/manual/*.aux doc/manual/*.log doc/manual/*.out doc/manual/*.pdf doc/manual/*.toc
	rm -rf api

override_dh_link:
	dh_link -p libjiu-java usr/share/java/net.sourceforge.jiu-$(VERSION).jar usr/share/java/net.sourceforge.jiu.jar

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for cmd in '--version' '--system' '--help'; do \
	    java -jar net.sourceforge.jiu-$(VERSION).jar $$cmd ; \
	done
endif

=== debian/tests/control ===
Tests: libjiu-java
Depends: libjiu-java,
    libjiu-java-doc,
    default-jre
Restrictions: superficial
